Subject: Re: Potential bug: truncated diff output

From: Johannes Sixt <[email-masked]>
Date: Thu, 16 Jan 2014 07:55:00 +0100

Am 1/16/2014 7:19, schrieb Misha Penkov:
> I have a file in a git repo. It has changed during the last two
> commits. I want to see the changes made in these two commits. The
> following command should work:
> 
>     git diff HEAD^^
> 
> but that doesn't get me the expected results. Read on for details.
> 
> Last commit: I changed some stuff towards the end of the file, for
> example, around line 3145. Here's the full diff (it's here for
> reference, don't bother reading all of it):
> 
>     $git diff HEAD^ HEAD ieicej.cls
>     diff --git a/ieicej.cls b/ieicej.cls
>     index ecf8beb..01debd9 100644
>     ...
>     @@ -3145,11 +3145,11 @@
>        \kern 2.715\p@}
> 
>      \def\@makefnmark{\hbox{$^{\mbox{\tiny \kern-.5zw
>     -  （注\kern.1zw\@thefnmark{}）\kern-.5zw}}$}}
>     +  （\kern.1zw\@thefnmark{}）\kern-.5zw}}$}}
> 
>      \newcommand\@makefntext[1]{\parindent1zw
>       \noindent\hbox{\kern-.5zw
>     -  （注\kern.1zw\@thefnmark{}）\kern-.5zw\hbox to 1zw{\hss ：\hss}}#1}
>     +  （\kern.1zw\@thefnmark{}）\kern-.5zw\hbox to 1zw{\hss ：\hss}}#1}
> 
>      \def\thefootnote{\@arabic\c@footnote}
>      \def\thempfootnote{\@fnsymbol\c@mpfootnote}

Here, you revert the change...

> Here's the second-last commit. I changed some things around line 1714.
> Full commit diff (again, for reference only):
> 
>     $git diff -p HEAD^^ HEAD^ ieicej.cls
>     diff --git a/ieicej.cls b/ieicej.cls
>     index 1c3b947..ecf8beb 100644
>     ...
>     @@ -3135,11 +3145,11 @@
>        \kern 2.715\p@}
> 
>      \def\@makefnmark{\hbox{$^{\mbox{\tiny \kern-.5zw
>     -  （\kern.1zw\@thefnmark{}）\kern-.5zw}}$}}
>     +  （注\kern.1zw\@thefnmark{}）\kern-.5zw}}$}}
> 
>      \newcommand\@makefntext[1]{\parindent1zw
>       \noindent\hbox{\kern-.5zw
>     -  （\kern.1zw\@thefnmark{}）\kern-.5zw\hbox to 1zw{\hss ：\hss}}#1}
>     +  （注\kern.1zw\@thefnmark{}）\kern-.5zw\hbox to 1zw{\hss ：\hss}}#1}
> 
>      \def\thefootnote{\@arabic\c@footnote}
>      \def\thempfootnote{\@fnsymbol\c@mpfootnote}

... that you made here.

Unsurprisingly, the net effect is no change in that area -- and git diff
tells you exactly that.

-- Hannes